package repo

import (
	"galaxy/model/order"

	"github.com/google/uuid"
)

func LoadOrder_T(s Storage, t uint, id uuid.UUID) (*order.UserGamesOrder, bool, error) {
	return loadOrder(s, t, id)
}

func SaveOrder_T(s Storage, t uint, id uuid.UUID, o *order.UserGamesOrder) error {
	return saveOrder(s, t, id, o)
}
